> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Newegg seller

> Get one Newegg marketplace seller store by store key or URL: rating, followers, badges, legal name and location. Flat 5 points per successful run.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-newegg-sellers
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-newegg-sellers:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Newegg seller
      description: >-
        Get one Newegg marketplace seller store by store key or URL: rating,
        followers, badges, legal name and location. Flat 5 points per successful
        run.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                seller:
                  description: Seller store key or URL. e.g. BioStar
                  type: string
              required:
                - seller
            example:
              seller: BioStar
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  seller:
                    type: string
                  seller_key:
                    type: string
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      seller:
                        type: object
                        properties:
                          id:
                            type: string
                          url:
                            type: string
                          name:
                            type: string
                          store_name:
                            type: string
                          alias:
                            type: string
                          rating:
                            type: number
                          rating_last_12m:
                            type: number
                          review_count:
                            type: integer
                          review_count_last_12m:
                            type: integer
                          positive_rate:
                            type: number
                          positive_rate_last_12m:
                            type: number
                          is_top_rated:
                            type: boolean
                          is_hot_seller:
                            type: boolean
                          follower_count:
                            type: integer
                          product_count:
                            type: integer
                          legal_name:
                            type: string
                          description:
                            type: string
                          image:
                            type: string
                          city:
                            type: string
                          state:
                            type: string
                          country:
                            type: string
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: newegg_seller
                seller: BioStar
                seller_key: BioStar
                human: |-
                  # Newegg seller

                  - **Seller:** BioStar
                  - **Proxy traffic:** 1.36 MB
                  - **Name:** BioStar
                  - **URL:** https://www.newegg.com/Seller-Store/BioStar
                  - **Rating:** 4.8/5 (151 ratings)
                  - **Positive feedback:** 94.7%
                  - **Followers:** 180
                  - **Products:** 214
                machine:
                  seller:
                    id: BFJR
                    url: https://www.newegg.com/Seller-Store/BioStar
                    name: BioStar
                    store_name: BioStar Store
                    alias: BioStar
                    rating: 4.8
                    rating_last_12m: 4.6
                    review_count: 151
                    review_count_last_12m: 48
                    positive_rate: 94.7
                    positive_rate_last_12m: 89.58
                    is_top_rated: true
                    is_hot_seller: false
                    follower_count: 180
                    product_count: 214
                    legal_name: TOPRAM INC
                    description: >-
                      BIOSTAR is an experienced computer hardware
                      accessories/PC/Gaming Motherboard manufacturer and
                      supplier. We provide high-quality multinational products.
                      Shipping Information Our products are shipped q
                    image: >-
                      https://c1.neweggimages.com/Marketing_Place/Seller_logo/Seller_BFJR_e206aedd-38e9-4e3a-80ef-873d3c68b7b8.jpg
                    city: Taipei
                    state: Taipei City
                    country: TAIWAN
                  proxy_traffic_bytes: 1423891
                total_points: 5
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````